  function Q=M14integration(a,b,N);
% Numerical integration of function f(x)=sin(x) 
% Rectangular rule
% Input parameters
%    a,b - integration limits
%    N - number of parts
%    Q - approximate value of the integral
% Sample main programme: a=0; b=pi; N=20; Q=M14integration(a,b,N)
  h=(b-a)/N;
  f=sin(a:h:b);
  Q=sum(f(1:N))*h;
  